Subject: Re: bug#30491: 26.0; (elisp) `Profiling'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Feb 2018 18:24:01 +0200

> Date: Sat, 17 Feb 2018 07:45:34 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > 4. A simple example of using the profiler commands would be welcome.
> > 
> > Not sure what example you had in mind.  The text mentions 3 profiler
> > commands to invoke, and describes the resulting profile.  What would
> > the example include, besides just "M-x profile-start" etc., which
> > sounds redundant?
> 
> I guess I was mainly thinking of use of the resulting output.
> 
> Perhaps it was not so much a doc problem as a problem of
> usability of the UI of the report.
> 
> I know I was looking for a way to "open" not just the entry
> on the current line, but also a way to open either (1) all
> entries or (2) all entries in the region.  I ended up using
> a keyboard macro to do #1.

It's much easier to do "C-u RET" on the top line of the call-tree.
And the fact that prefix argument has this effect is documented.

> > > Also, some brief comparison of profile, elp, and benchmark could be
> > helpful: what are their particular purposes, strengths, etc.
> > 
> > I think this was already clear from the text: e.g., benchmark only
> > measures the total execution time of a form, it doesn't produce any
> > insights on the distribution of that time between the form's
> > components.  I added more text to make some differences more clear.
> 
> This post makes a start, but it doesn't mention elp.
> Perhaps the text you've added (I've not seen it yet)
> already makes a similar brief comparison.
> 
> https://emacs.stackexchange.com/a/540/105

I think this is covered now.